import { type Ref } from 'vue';
import { type NodeType } from '../interface.js';
export interface Page {
    path: string;
    title: NodeType;
    data?: any;
    selected?: boolean;
}
export declare class PageList {
    list: Ref<Page[]>;
    titles: any;
    get(path: string): Page | undefined;
    add(page: Page): Page;
    setTitle(title: any, path: string): void;
    replace(from: string, to: string): void;
    select(page: Page): boolean;
    remove(path: string): void;
    removeIndex(index: number): Page;
    clear(): void;
}
export declare function usePages(): PageList;
